package gov.va.med.esr.common.util;

import java.util.List;

import gov.va.med.esr.common.util.RuleAbstractTestCase;

public class InheritedResourcesLoadingTest extends RuleAbstractTestCase {
    private static final String bomMappings = "common.bomMappings";
    private static final String commsMappings = "comms.mappings";

    public InheritedResourcesLoadingTest(String testName) {
        super(testName);
    }

    public void setUpData() throws Exception {
    }

    public void tearDownData() throws Exception {
    }

    public void testInheritedBOMMappings() {
        List bomMappingsList =  (List) applicationContext.getBean(bomMappings);
        assertNotNull("bomMappings list is null", bomMappings);
        assertTrue("bomMappings list should be more than 50", bomMappingsList.size()>50);
        System.out.println(bomMappings + " size = " + bomMappingsList.size());

        List commsMappingsList = (List)applicationContext.getBean(commsMappings);
        assertNotNull("commsMappings list is null", commsMappings);
        assertTrue("commsMappings list should have more elements than bomMappings", commsMappingsList.size() > bomMappingsList.size());
        System.out.println(commsMappings + " size = " + commsMappingsList.size());
    }

    public void testInheritedLookupMappings() {
    }
}
